%define major 0
%define lib_name %mklibname %{name} %{major}

Summary: A tool for creating Scheme interfaces to C libraries
Name: g-wrap
Version: 1.9.6
Release: %mkrel 10
Source0: http://download.savannah.gnu.org/releases/g-wrap/%{name}-%{version}.tar.bz2
# gw fedora patches
Patch: g-wrap-1.9.6-glib2.patch
Patch1: g-wrap-consistent.patch
Patch2: g-wrap-info.patch
# gw the runtime is linked with ffi, so the gw lib needs it too
Patch3: g-wrap-1.9.6-ffilink.patch
Requires: guile >= 1.6
Group: System/Libraries
BuildRequires: guile-devel >= 1.6
BuildRequires: glib2-devel
BuildRequires: libffi-devel
BuildRequires: automake1.9
License: GPL
Epoch: 1
URL: http://www.gnucash.org
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Requires: %{lib_name} >= %{epoch}:%{version}-%{release}
Conflicts: guile-lib

%description
g-wrap is a tool for creating Scheme interfaces to C libraries.  At
the moment it is most heavily focused on providing access to C
libraries from guile, but it also supports RScheme.

%package -n %{lib_name}
Epoch: 1
Group:	%{group}
Summary: %{summary}

%description -n %{lib_name}
g-wrap is a tool for specifying types, functions, and constants to
import into a Scheme interpreter, and for generating code (in C) to
interface these to the Guile and RScheme interpreters in particular.

%package -n %{lib_name}-devel
Epoch: 1
Group:	Development/C
Summary: Include files and libraries needed for g-wrap development
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: %{lib_name} = %{epoch}:%{version}-%{release}
Obsoletes: %{name}-devel
Provides: %{name}-devel = %{version}-%{release}
Provides: lib%{name}-devel = %{version}-%{release}

%description -n %{lib_name}-devel
g-wrap is a tool for creating Scheme interfaces to C libraries.  At
the moment it is most heavily focused on providing access to C
libraries from guile, but it also supports RScheme.

You can provide access to a given C API by creating a specification
file describing the interface you want published at the Scheme level.
g-wrap will handle generating all the lower level library interface
code so that the C library shows up as a set of Scheme functions.

You should install this package if you need to compile programs that
need to use g-wrap C<->Scheme functionality

%prep
%setup -q
%patch -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
aclocal-1.9 -I m4
autoconf
automake-1.9

%build
%configure2_5x --disable-static

make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%makeinstall_std 
%multiarch_includes %buildroot%{_includedir}/%name/ffi-support.h

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig -n %{lib_name}

%post -n %{lib_name}-devel
%_install_info %{name}.info

%postun -p /sbin/ldconfig -n %{lib_name}

%postun -n %{lib_name}-devel
%_remove_install_info %{name}.info

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog INSTALL NEWS README THANKS
%{_datadir}/guile/*

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/*.so.*
%{_libdir}/*.la

%files -n %{lib_name}-devel
%defattr(-,root,root)
%{_bindir}/*
%{_includedir}/g-wrap-wct.h
%{_includedir}/%name
%multiarch %_includedir/multiarch*/%name/ffi-support.h
%{_libdir}/*.so
%{_infodir}/%{name}*
%_libdir/pkgconfig/g-wrap-2.0-guile.pc

%changelog
* Sun Feb 18 2007 Christiaan Welvaart <cjw@daneel.dyndns.org>
+ 2007-02-18 18:08:29 (122489)
- rebuild to fix libguile dep for ppc

* Sun Jan 07 2007 Götz Waschk <waschk@mandriva.org> 1.9.6-9mdv2007.1
+ 2007-01-07 13:46:17 (105203)
- Import g-wrap

* Sun Jan 07 2007 Götz Waschk <waschk@mandriva.org> 1.9.6-9mdv2007.1
- unpack patches

* Mon Aug 28 2006 Götz Waschk <waschk@mandriva.org> 1.9.6-8mdv2007.0
- fix buildrequires

* Tue Aug 08 2006 Götz Waschk <waschk@mandriva.org> 1.9.6-7mdv2007.0
- rebuild

* Thu Jun 22 2006 Götz Waschk <waschk@mandriva.org> 1.9.6-6mdv2007.0
- use bundled libffi
- add fedora patches for libffi

* Thu Jun 15 2006 Götz Waschk <waschk@mandriva.org> 1.9.6-5mdv2007.0
- conflict with guile-lib

* Wed Jun 14 2006 Götz Waschk <waschk@mandriva.org> 1.9.6-4mdv2007.0
- add missing info entry
- fix build if old version is installed
- patch to build with glib2

* Fri Mar 03 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.9.6-3mdk
- add BuildRequires: guile-lib

* Fri Feb 24 2006 Götz Waschk <waschk@mandriva.org> 1.9.6-2mdk
- fix buildrequires

* Mon Feb 20 2006 Götz Waschk <waschk@mandriva.org> 1.9.6-1mdk
- multiarch
- update file list
- major 0
- reenable libtoolize
- new version

* Fri Jan 07 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.3.4-12mdk
- libtool 1.4 fixes

* Fri Dec 31 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.3.4-11mdk
- add BuildRequires: libglib-devel libgtk+-devel

* Thu Feb 26 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.4-10mdk
- Fix dependency

* Tue Jul 29 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1:1.3.4-9mdk
- Rebuild

* Thu Jun 05 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1:1.3.4-8mdk
- Enforce dependencies

* Thu Jun 05 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1:1.3.4-7mdk
- Switching to guile 1.6 (gnucash 1.8.4 now supports it)
- Remove patch0 (no longer needed)

* Tue Apr 22 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1:1.3.4-6mdk
- Update patch0 to remove remaining call to non-versioned guile binary
- mklibnamification

* Mon Apr 21 2003 Pixel <pixel@mandrakesoft.com> 1.3.4-5mdk
- add "BuildRequires: autoconf2.5"

* Mon Feb 17 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1:1.3.4-4mdk
- Update patch0 for guile 1.4.1

* Tue Feb 04 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1:1.3.4-3mdk
- .la must be in lib package for dynamic lib loading by libltdl

* Mon Feb 03 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1:1.3.4-2mdk
- Fix main dependency on guile 1.4

* Mon Feb 03 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1:1.3.4-1mdk
- Release 1.3.4
- Patch0: check for guile1.4 

* Thu Dec 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1:1.2.1-1mdk
- release 1.2.1

* Sun Jun 16 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.1.12-3mdk
- Drill out -I/usr/include to make -Werror from barfing.

* Thu Jan 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.11-2mdk
- Argg, add missing epoch

* Thu Jan 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.11-1mdk
- Back to 1.1 branch, gnucash is not yet compatible with newer releases

* Wed Jan 16 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.2-1mdk
- Release 1.3.2
- Remove patch0

* Mon Jan 14 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-1mdk
- Release 1.2.1
- Use more macros
- Libification

* Sat Dec 01 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 1.1.10-3mdk
- pass --build/--host/--target to ./configure
- s/Copyright/License/

* Wed Jun 13 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.1.10-2mdk
- removed post in devel (ranlib)
- added info file installation

* Thu May 31 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.1.10-1mdk
- new version for gnucash 1.5.97

* Wed Aug 30 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.9.5-3mdk
- changed prefix in configure, removed sed...

* Wed Aug 30 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.9.5-2mdk
- sed on g-wrap

* Wed Aug 30 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.9.5-1mdk
- new version (necessary with guile-devel 1.4)
- macroszification
- packager tag
- split into lib and devel packages

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.9.4-2mdk
- automatically added BuildRequires

* Sat Jul 01 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.9.4-1mdk
- Packaged for Mandrake need for gnucash update.

* Sat May 27 2000 Mark Horning <rip6@rip6.net>
- Created spec file

